Difference between revisions of "Ruby-gems"

From Bashlinux
Jump to: navigation, search
(talk)
 
(Redirected page to Ruby)
 
Line 1: Line 1:
__NOTOC__
+
#REDIRECT [[Ruby]]
= Ruby Gems =
 
 
 
Some Ruby Gems
 
* [[ruby-haml|Haml]]
 
* [[ruby-rails|Rails]]
 
* [[ruby-webby|Webby]]
 
 
 
== How to install rubygems ==
 
'''Debian'''<<BR>>
 
Install Rubygems from tarball sources:
 
# Install Ruby and Development tools
 
 
<pre><nowiki>
 
apt-get install ruby-full libzlib-ruby build-essential
 
</nowiki></pre>
 
 
 
# Install Gems
 
 
<pre><nowiki>
 
wget http://rubyforge.org/frs/download.php/60718/rubygems-1.3.5.tgz
 
tar zxvf rubygems-1.3.5.tgz
 
cd rubygems-1.3.5
 
ruby setup.rb
 
ln -s /usr/bin/gem1.8 /usr/bin/gem
 
</nowiki></pre>
 
 
 
 
 
Install Rubygems from Debian repositories:
 
As root issue the following command
 
 
<pre><nowiki>
 
apt-get install ruby-full ruby-dev rubygems libzlib-ruby build-essential
 
</nowiki></pre>
 
 
 
 
Other packages:
 
* If MySQL support is needed, then the proper package to be installed is `libmysql-ruby`
 
* If Oniguruma is needed, ensure `libonig-dev` package is present on system
 
 
 
'''Fedora'''<<BR>>
 
As root issue the following command:
 
 
<pre><nowiki>
 
yum install rubygems ruby-devel
 
</nowiki></pre>
 

Latest revision as of 23:36, 18 June 2015

Redirect to: